<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования версий документов.
 * 
 * Файл: /admin/documents/action/add_document_version.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Получаем переданные поля
$documents_id = to_int($_REQUEST["documents_id"]);
$documents_dir_id = to_int($_REQUEST['documents_dir_id']);
$documents_status_id = to_int($_REQUEST["documents_status_id"]);
$documents_name = to_str($_REQUEST['documents_name']);
$version_id = to_int($_REQUEST['documents_version_id']);
$version_comment = to_str($_REQUEST['documents_version_comment']);
$documents_text = to_str($_REQUEST['documents_text']);
$templates_id = to_int($_REQUEST["templates_id"]);

// Выбираем пользователя из сессии
if (isset($_SESSION["current_users_id"]))
{
	$users_id = to_int($_SESSION["current_users_id"]);
}
else 
{
	$users_id = 0;
}

if (isset($_POST['documents_version_current']))
{
	$version_current = 1;
}
else
{
	$version_current = 0;
}

// Проверяем подключен ли модуль типографики.
if (class_exists("typograph"))
{
	// Модуль типографики подключен, проверяем, нужно ли применять типографику.
	if (isset($_POST['use_typograph']))
	{
		// Создаем объект типографа и типографируем текст.
		$typograph = new typograph();
		$documents_text = $typograph->ProcessTypographic($documents_text, isset($_POST['trailing_punctuation']));
	}
}

if ($insert_document_version_id = $documents->insert_version(0, $version_id, $documents_id, $version_current, $version_comment, $documents_text, $users_id, $templates_id))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddDocumentVersion', 'documents_version_id', '<?php echo $insert_document_version_id?>');
	</script><?php

	// Редактирование документа	
	if ($version_id)
	{
		show_message($GLOBALS['MSG_documents']['documents_version_edit_success']);
	}
	else // Добавление документа 
	{
		show_message($GLOBALS['MSG_documents']['documents_version_add_success']);
	}
}
else // Ошибка добавления/редактирования
{
	if ($documents_id)
	{
		show_error_message($GLOBALS['MSG_documents']['documents_version_edit_error']);
	}
	else 
	{
		show_error_message($GLOBALS['MSG_documents']['documents_version_add_error']);
	}
}
?>